import { ResourceDefinition, ResourceRouteDefinition, UnthinkGeneratorBackend, UnthinkViewRenderer } from '@epandco/unthink-foundation/lib/core';
import { Application, Router, RequestHandler } from 'express';
interface GeneratedRoute {
    prefix: string;
    router: Router;
}
interface GeneratedDefinition {
    path: string;
    router: Router;
}
export declare class UnthinkExpressGenerator implements UnthinkGeneratorBackend<RequestHandler> {
    private readonly app;
    private readonly viewRenderer;
    constructor(app: Application, viewRenderer: UnthinkViewRenderer);
    generate(resourceDefinitions: ResourceDefinition<RequestHandler>[]): void;
    generateRoute(resourceRouteDefinition: ResourceRouteDefinition<RequestHandler>): GeneratedRoute;
    generateDefinition(resourceDefinition: ResourceDefinition<RequestHandler>): GeneratedDefinition[];
}
export {};
